class StudentManager:
    def __init__(self):
        self.students = {}  # 用字典存储学生信息

    def add_student(self, name, gender, phone):
        self.students[name] = {"gender": gender, "phone": phone}
        print("添加成功"+str(self.students))

    def delete_student(self, name):
        if name in self.students:
            del self.students[name]
            print("删除成功")
        else:
            print("没有找到该学生")

    def update_student(self, name, gender=None, phone=None):
        if name in self.students:
            if gender is not None:
                self.students[name]["gender"] = gender
            if phone is not None:
                self.students[name]["phone"] = phone
            print("修改成功"+name+gender+phone)
        else:
            print("没有找到该学生")

    def search_student(self, name):
        if name in self.students:
            print(f"学生姓名：{name}，性别：{self.students[name]['gender']}, 电话：{self.students[name]['phone']}")
        else:
            print("没有找到该学生")

    def show_all_students(self):
        for name, info in self.students.items():
            print(f"学生姓名：{name}，性别：{info['gender']}, 电话：{info['phone']}")

    def save_students(self, filename):
        with open(filename, 'w') as f:
            for name, info in self.students.items():
                f.write(f"姓名：{name}，性别：{info['gender']}, 电话：{info['phone']}\n")
        print("学生信息已保存到文件")

    def exit(self):
        print("退出系统")
        import sys
        sys.exit()


